#include "testlib.h"
#include <iostream>

const int MAX_N = 2000;
const int MAX_M = 2000;
const int MAX_C = 5000;

                 //     0      1       2       3       4      5       6
const int maxn[] = {MAX_N,    15,  MAX_N,  MAX_N,  MAX_N,   200,  MAX_N};  
const int maxm[] = {MAX_M,    15,      1,      2,      5,   200,  MAX_M};  

using namespace std;

int main(int argc, char* argv[]) {
    registerValidation(argc, argv);
    int group = atoi(validator.group().c_str());
    int n = inf.readInt(1, maxn[group], "n");
    inf.readSpace();
    int m = inf.readInt(1, maxm[group], "m");
    inf.readEoln();

    for (int i = 0; i < n; ++i) {
        inf.readInt(1, m, "l_i");
        if (i < n - 1) inf.readSpace();
    }
    inf.readEoln();
    for (int i = 0; i < n; ++i) {
        inf.readInt(0, MAX_C, "s_i");
        if (i < n - 1) inf.readSpace();
    }
    inf.readEoln();
    for (int i = 0; i < n + m; ++i) {
        inf.readInt(-MAX_C, MAX_C, "c_i");
        if (i < n + m - 1) inf.readSpace();
    }
    inf.readEoln();
    inf.readEof();
}
