#include <cstdio>
#include <algorithm>
#include <vector>

using namespace std;

int main() {
  int n, m;
  scanf("%d%d", &n, &m);
  m += n;
  vector<int> l(n), s(n), c(m);
  for (int& x : l) scanf("%d", &x), --x;
  for (int& x : s) scanf("%d", &x);
  for (int& x : c) scanf("%d", &x);

  vector<int> cnt(m);
  for (int x : l) cnt[x]++;
  for (int i = 0; i + 1 < m; i++) {
    cnt[i + 1] += cnt[i] / 2;
  }
  while (cnt[m - 1] == 0) m--;
  m++;

  vector<vector<int>> dp(m);
  for (int i = 0; i < m; i++) {
    dp[i] = vector<int>(cnt[i] + 1, -1e9);
    dp[i][0] = 0;
  }


  for (int i = n - 1; i >= 0; i--) {
    {
      int j = l[i];
      for (int k = cnt[j] - 1; k >= 0; k--) {
        dp[j][k + 1] = max(dp[j][k + 1], dp[j][k] - s[i]);
      }
    }
    for (int j = 0; j < m - 1; j++) {
      for (int k = 0; k <= cnt[j]; k++) {
        dp[j + 1][k / 2] = max(dp[j + 1][k / 2], dp[j][k] + c[j] * k);
      }
    }
    /*
    printf("=========\n");
    for (int j = 0; j < m - 1; j++) {
      printf("%d:", j);
      for (int k = 0; k <= cnt[j]; k++) {
        printf(" %d", dp[j][k]);
      }
      printf("\n");
    }
    */
  }

  printf("%d\n", dp.back()[0]);
}
