#ifndef BZ
#pragma GCC optimize "-O3"
#endif
#include <bits/stdc++.h>

#define ALL(v) (v).begin(), (v).end()
#define rep(i, l, r) for (int i = (l); i < (r); ++i)

using ll = long long;
using ld = long double;
using ull = unsigned long long;

using namespace std;


/*
ll pw(ll a, ll b) {
	ll ans = 1; while (b) {
		while (!(b & 1)) b >>= 1, a = (a * a) % MOD;
		ans = (ans * a) % MOD, --b;
	} return ans;
}
*/

const int N = 4100;
const int S = 5100;
const int INF = 1e9;

int n, m;

int l[N];
int s[N];
int c[N];
int dp[S][N];

int mx[S];

int get(int a, int cc) {
	int ans = c[a];
	while (cc & 1) {
		++a;
		ans += c[a];
		cc >>= 1;
	}
	return ans;
}

int main() {
	ios_base::sync_with_stdio(false), cin.tie(0), cout.tie(0);
	cout.setf(ios::fixed), cout.precision(20);
	cin >> n >> m;
	for (int i = 0; i < n; ++i) {
		cin >> l[i];
	}
	for (int i = 0; i < n; ++i) {
		cin >> s[i];
	}
	for (int i = 1; i <= n + m; ++i) {
		cin >> c[i];
	}
	reverse(l, l + n);
	reverse(s, s + n);

	for (int i = 0; i < S; ++i) {
		dp[i][0] = 0;
		for (int j = 1; j < N; ++j) {
			dp[i][j] = -INF;
		}
	}

	for (int i = 0; i < n; ++i) {
		int go = 0;
		for (int j = 0; j + 10 < l[i]; ++j) {
			go = max(go, mx[j]);
		}
		int cur = 0;
		while (dp[l[i]][cur] != -INF) {
			++cur;
		}
		while (cur > 0) {
			dp[l[i]][cur] = max(dp[l[i]][cur], dp[l[i]][cur - 1] + get(l[i], cur - 1) - s[i]);
			mx[l[i]] = max(mx[l[i]], dp[l[i]][cur]);
			--cur;
		}
		dp[l[i]][1] = max(dp[l[i]][1], go + get(l[i], 0) - s[i]);
		mx[l[i]] = max(mx[l[i]], dp[l[i]][1]);

		for (int j = max(0, l[i] - 10); j < l[i]; ++j) {
			for (int k = 1; k < i; ++k) {
				if (dp[j][k] == -INF) {
					break;
				}
				int now = k >> (l[i] - j);
				dp[l[i]][now + 1] = max(dp[l[i]][now + 1], dp[j][k] + get(l[i], now) - s[i]);
				mx[l[i]] = max(mx[l[i]], dp[l[i]][now + 1]);
			}
		}
	}

	cout << *max_element(mx, mx + S) << "\n";

	return 0;
}


